//
//  postEventReflection.swift
//  Mindtap_Official
//
//  Created by Lunar on 8/6/21.

//sender.isSelected = !sender.isSelected for button selection


import UIKit

class postEventReflection: UIViewController, UIPickerViewDataSource, UIPickerViewDelegate{

    



    
    //What are you reflecting on
    /*********************************************************************/
    //array of picker view information
    let reflectionpicker = ["Default", "Practice", "Competition", "This Past Week"]//reflectionPicker
    var reflection = "Default"; //if no change to picker, default is input will stop submit
    var responses: [String] = []
    
    func numberOfComponents(in pickerView: UIPickerView) -> Int {
        return 1
    }
    
    
    //display row in reflection picker view
    func pickerView( _ pickerView: UIPickerView, titleForRow row: Int, forComponent component: Int) -> String? {
        
        reflection = reflectionpicker[row]
        print(reflection)
        return reflectionpicker[row]
        
    }
    
    
    
    //show how many rows (length of array)
    func pickerView(_ pickerView: UIPickerView, numberOfRowsInComponent component: Int) -> Int {
        return reflectionpicker.count
    }
    //What are you reflecting on end
    /************************************************************/
    
    //How would you rate your performance?
    /************************************************************/
    
    var slider_response_1 = 0

    
    @IBOutlet weak var slider1: UISlider!
    @IBOutlet weak var slider2: UISlider!
    @IBOutlet weak var slider3: UISlider!
    @IBOutlet weak var slider4: UISlider!
    @IBOutlet weak var slider5: UISlider!
    @IBOutlet weak var slider6: UISlider!
    @IBOutlet weak var slider7: UISlider!
    @IBOutlet weak var slider8: UISlider!
    @IBOutlet weak var slider9: UISlider!
    @IBOutlet weak var slider10: UISlider!
    @IBOutlet weak var slider11: UISlider!
    @IBOutlet weak var slider12: UISlider!
    @IBOutlet weak var slider13: UISlider!
    @IBOutlet weak var slider14: UISlider!
    @IBOutlet weak var slider15: UISlider!
    @IBOutlet weak var slider16: UISlider!
    
    
    
    @IBAction func valueSlider(_ sender: UISlider) {
        
        slider1.value = roundf(slider1.value)
        
        
        
    }
    
    @IBAction func slider2(_ sender: Any) {
        slider2.value = roundf(slider2.value)
        print(slider2.value)
    }
    @IBAction func slider3(_ sender: Any) {
        slider3.value = roundf(slider3.value)
        print(slider3.value)
    }
    
    
    @IBAction func slider4(_ sender: UISlider) {
        slider4.value = roundf(slider4.value)
        print(slider4.value)
    }
    
    @IBAction func slider5(_ sender: UISlider) {
        slider5.value = roundf(slider5.value)
        print(slider5.value)
    }
    
    @IBAction func slider6(_ sender: UISlider) {
        slider6.value = roundf(slider6.value)
        print(slider6.value)
    }
    
    @IBAction func slider7(_ sender: UISlider) {
        slider7.value = roundf(slider7.value)
        print(slider7.value)
    }
    
    @IBAction func slider8(_ sender: UISlider) {
        slider8.value = roundf(slider8.value)
        print(slider8.value)
    }
    
    @IBAction func slider9(_ sender: UISlider) {
        slider9.value = roundf(slider9.value)
        print(slider9.value)
    }
    @IBAction func slider10(_ sender: UISlider) {
        slider10.value = roundf(slider10.value)
        print(slider10.value)
    }
    @IBAction func slider11(_ sender: UISlider) {
        slider11.value = roundf(slider11.value)
        print(slider11.value)
    }
    @IBAction func slider12(_ sender: UISlider) {
        slider12.value = roundf(slider12.value)
        print(slider12.value)
    }
    
    @IBAction func slider13(_ sender: UISlider) {
        slider13.value = roundf(slider13.value)
        print(slider13.value)
    }
    @IBAction func slider14(_ sender: UISlider) {
        slider14.value = roundf(slider14.value)
        print(slider14.value)
    }
    @IBAction func slider15(_ sender: UISlider) {
        slider15.value = roundf(slider15.value)
        print(slider15.value)
    }
    
    @IBAction func slider16(_ sender: UISlider) {
        slider16.value = roundf(slider16.value)
        print(slider16.value)
    }
    
    
    
    
    @IBAction func submissionButton(_ sender: UIButton) {
        print(slider1.value)
        
    }
    


    
    
    

    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view.
        
       

    }
    
    
    
    @IBOutlet weak var stepperCounter: UILabel!
    @IBOutlet weak var Stepper: UIStepper!
    
    @IBAction func SelectorExample(_ sender: UIStepper) {
        
        stepperCounter.text = Int(sender.value).description
        

        
    }
    
    

}
